Subject: [TLS] draft-ietf-tls-oob-pubkey and updating RFC 6091: a proposed solution

From: Paul Hoffman <[email-masked]>
Date: Tue, 8 May 2012 14:13:14 -0700

Greetings again. A few of us commenting on draft-ietf-tls-oob-pubkey have had an issue that this draft is meant to be on standards track, but it is updating (and relying on parts of) RFC 6091. We have suggested some ways of changing draft-ietf-tls-oob-pubkey to maybe make this work, hoping that this is OK.

A much simpler method would simply be to move RFC 6091 to standards track. This can be done without a new Internet Draft version of RFC 6019, and even without a full WG Last Call. The WG chairs (that's the two folks on the To: line) can simply ask the AD (that's the person on the Cc:) to make this happen. This is fully allowed by the IETF procedures (see RFC 2026, section 6.1.1), and the most process-obsessed member of the IESG has told me that this would be just fine.

WG chairs: please consider asking the AD to do this. It would make draft-ietf-tls-oob-pubkey much cleaner, and would really harm no one.

--Paul Hoffman

---

From: Paul Wouters <[email-masked]>
Date: Wed, 9 May 2012 01:16:47 -0400 (EDT)

> WG chairs: please consider asking the AD to do this. It would make draft-ietf-tls-oob-pubkey much cleaner, and would really harm no one.

That would indeed be nice. I'll wait with a draft update until we hear
back regarding this.

Thanks Paul,

Paul